# Il manuale di &amarok;

Mike
Diehl

    madpenguin8@yahoo.com

La squadra di sviluppo di amaroK
Sviluppatori
Carlo Maria
Laorenza

     carlo@relazioninet.it

Traduzione dell'interfaccia grafica
Carlo Maria
Laorenza

    carlo@relazioninet.it

Traduzione della documentazione
2005
La squadra di sviluppo di amaroK
&FDLNotice;
2005-01-02
2.1

&amarok; è un lettore multimediale per il K Desktop Environment (KDE).

KDE
multimediale
lettore
audio
ogg
mp3
wav
musica
suono

## Introduzione

Logo

&amarok;è il lettore audio di &kde;. E' dotato di molte caratteristiche, è potente e facile da usare.

Sei stanco di cercare tra infiniti menu solo per aggiungere della musica alla tua playlist? Con &amarok; puoi semplicemente trascinare i file musicali nella playlist. Forse stai cercando quella canzone particolare tra le migliaia della tua collezione. Il navigatore di collezioni di &amarok; con la sua barra di ricerca ti aiuterà a trovarla in una manciata di secondi.

Sembra che &amarok; abbia le stesse caratteristiche che si trovano in ogni lettore multimediale, ma non ci siamo fermati qui. Uno sguardo al navigatore per contesti e capirari perché &amarok; è un passo avanti agli altri. Il navigatore per contesti è caratterizzato da un database compilato istantaneamente e che fornisce statistiche sulle tue playlist costantemente aggiornate. Inoltre, il navigatore per contesti può anche visualizzare le immagini delle copertine degli album che hai e quindi non offre solo informazioni ma è anche bello da vedere.

Hai molto playlist diverse ma non riesci a decidere mai quale usare? Allora il navigatore della playlist fa al caso tuo. Caricare le playlist salvate nel navigatore è facile come premere un tasto.

Oltre che aRts, &amarok; supporta i server sonori GStreamer, NMM e xine che lo rendono il lettore audio più avanzato disponibile per &kde;. &amarok; è compatto, sexy, geniale. Provalo subito!

&amarok-quick;

&amarok-config;

&amarok-using;

&amarok-advanced;

&amarok-faq;

## Ringraziamenti e licenza

Copyright programma 2003-2004 di Mark Kretschmann markey@web.de e del Team di AmaroK.

### Il Team di AmaroK

- Christian babe-magnet (attira-donne) Muehlhaeuser chris@chris.de

- Frederik ich bin kein Deustcher (non sono tedesco)! Holljen fh@ez.no

- Mark it's good, but it's not irssi (è buono ma non è irssi) Kretschmann markey@web.de

- Max Potenza di tartaruga Howell max.howell@methylblue.com

- Mike purple is not girly! Diehl madpenguin8@yahoo.com

- Pierpaolo Spaghetti Coder Di Panfilopippo_dp@libero.it

- Roman and God said, let there be Mac (e Dio disse, sia fatto il Mac) Becker roman@formmorf.de

- Stanislav did someone say DCOP (qualcuno ha detto DCOP)? Karchebny Stanislav.Karchebny@kdemail.net

- Stefan MacroMolecularMooModeler Bogner bochi@online.ms bochi@online.ms

### Contributi:

- Adam Pigg (analizzatori, patch) adam@piggz.fsnet.co.uk

- Adeodato Simo (patch) asp16@alu.ua.es

- Andreas Mair (supporto MySql) am_ml@linogate.com

- Dan Leinir Turthra Jensen (assistente del primo avvio) admin@removeleinir.dk

- Enrico Ros (analzzatori, re dell'openGL) eros.kde@email.it

- Jarkko Lehti (controlli) grue@iki.fi

- Josef Spillner (codice di KDE RadioStation) spillner@kde.org

- Kenneth Wesley Wimer II (icone) kwwii@bootsplash.org

- Melchior Franz (nuova routine FFT, correzione errori) mfranz@kde.org

- Michael Pyne (codice di esporazione K3B) michael.pyne@kdemail.net

- Nenad Grujicic (schermata di inizio per 1.1) mchitman@neobee.net

- Olivier Bédard (hosting del sito) paleo@pwsp.net

- Roland Gigler (motore MAS) michael.pyne@kdemail.net

- Sami Nieminen (supporto Audioscrobbler) sami.nieminen@iki.fi

- Scott Wheeler (TagLib) wheeler@kde.org

- Seb Ruiz (migliorie all'OSD, patch, controllo) seb100@optusnet.com.au

- Whitehawk Stormchaser (controllo, patch) zerokode@gmx.net

Copyright documentazione 2004 di Mike Diehl madpenguin8@yahoo.com

&underFDL; &underGPL;

&amarok-req;

## Installazione

### Come ottenere &amarok;

&amarok; può essere scaricato dalla home page di &amarok;

L'ultima versione sviluppata può essere presa dal CVS di &kde;, moduli kdeextragear-1.

#### Come compilare &amarok;

Per compilare ed installare amaroK nel tuo sistema, digita quanto segue nella cartella base della distribuzione di amaroK:

`./configure --prefix=`kde-config --prefix``

`make`

`su -c "make install"`

L'opzione --enable-final non è più supportata.

Poiché &amarok; utilizza autoconf e automake non dovresti incontrare problemi a compilarlo. In caso contrario, riferiscili alle mailing list di &kde;.

#### Configura le opzioni

&amarok; è simile a molte altre applicazioni in quanto ha varie opzioni di compilazione che possono essere attivate o disattivate durante la configurazione. Questa è una lista delle opzioni configurabili.

Alcune opzioni di compilazione richiedono specifiche dipendenze. Guarda la sezione requisiti per ulteriori dettagli.

Opzione | Predefinito | Descrizione
--- | --- | ---
--enable-debug= | no | Abilita i simboli di debug. Scegli tra yes, no e full. Usa l'opzione full se vuoi aiutarci nello sviluppo di &amarok;.
--enable-mysql | Disabilitato | Abilita il supporto per il database MySql per &amarok;?
--disable-amazon | Abilitato | Disabilita il supporto per lo scarico delle copertine da Amazon in &amarok;
--without-arts | Con | Disabilita il supporto aRts per &amarok;
--without-gstreamer | Con | Disabilita il supporto GStreamer per &amarok;
--without-xine | Con | Disabilita il supporto xine per &amarok;
--with-nmm | Senza | Abilita il supporto NMM per &amarok;
--with-mas | Senza | Abilita il supporto MAS per &amarok;
--without-opengl | Con | Disabilita il supporto OpenGL (analizzatore) per &amarok;
--without-included-sqlite | Con | Non usare i sorgenti inclusi sqlite (richiede sqlite installato)

&documentation.index;